vrrp_script chk_manual_failover {
    script  “{{ chk_manual_failover_script_path }}“ 
    interval {{ chk_manual_failover_interval }}
    weight   {{ chk_manual_failover_weight }}
}

vrrp_script chk_nginx_service {
    script   "{{ chk_nginx_service_script_path }}"
    interval {{ chk_nginx_service_interval }}
    weight   {{ chk_nginx_service_weight }}
}

vrrp_instance {{ vrrp_instance_name }} {
    interface                  {{ interface_name }} 
    set priority               {{ priority }}
    virtual_router_id          {{ vr_id }}
    advert_int                 1
    accept
    garp_master_refresh        5
    garp_master_refresh_repeat 1
    unicast_src_ip             {{ unicast_src_ip }} 

    unicast_peer {
        {{ unicast_peer }}
    }

    virtual_ipaddress {
        {{ vip }}
    }

    track_script {
        chk_nginx_service
        chk_manual_failover
    }

    notify "{{ notify_script_path }}" 
}
